# Generated by Django 3.2.16 on 2023-01-02 13:54

from django.db import migrations, models
import django.db.models.deletion
import section.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Playlist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=64)),
                ('process_csv', models.BooleanField(default=False, help_text='Warning: Processing a live playlist may affect the result data')),
                ('csv', models.TextField(blank=True, help_text='CSV Format: artist_name [string],        song_name [string], start_position [float], duration [float],        "path/filename.mp3" [string], restricted_to_nl [int 0=False 1=True], tag [string], group [string]')),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Section',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('artist', models.CharField(db_index=True, max_length=128)),
                ('name', models.CharField(db_index=True, max_length=128)),
                ('start_time', models.FloatField(db_index=True, default=0.0)),
                ('duration', models.FloatField(default=0.0)),
                ('filename', models.CharField(max_length=128)),
                ('restrict_to_nl', models.BooleanField(default=False)),
                ('play_count', models.PositiveIntegerField(default=0)),
                ('code', models.PositiveIntegerField(default=section.models.Section.random_code)),
                ('tag', models.CharField(default='0', max_length=128)),
                ('group', models.CharField(default='0', max_length=128)),
                ('playlist', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='section.playlist')),
            ],
            options={
                'ordering': ['artist', 'name', 'start_time'],
            },
        ),
    ]
